> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Sellsy

> Access the Sellsy API in 2 minutes 💨

> [tab] 🚀 Quickstart
>
> **1. Create an integration**
>
> In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Sellsy*. Nango doesn't have a Nango-managed OAuth app for Sellsy yet. You’ll need to set up your own by following these [instructions](#🧑%E2%80%8D💻-oauth-app-setup). After that, make sure to add the OAuth client ID, Secret shopper, and scopes in the integration settings in Nango.
>
> **2. Authorize Sellsy**
>
> Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Sellsy. Later, you'll let your users do the same directly from your app.
>
> **3. Call the Sellsy API**
>
> Let's make your first request to the Sellsy API (fetch a list of contacts). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):
>
> > [tab] cURL
> >
> > ```bash theme={null}
> > curl "https://api.nango.dev/proxy/v2/contacts" \
> >   -H "Authorization: Bearer <NANGO-API-KEY>" \
> >   -H "Provider-Config-Key: <INTEGRATION-ID>" \
> >   -H "Connection-Id: <CONNECTION-ID>"
> > ```
>
> > [tab] Node
> >
> > Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
> >
> > ```typescript theme={null}
> > import { Nango } from '@nangohq/node';
> >
> > const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
> >
> > const res = await nango.get({
> >     endpoint: '/v2/contacts',
> >     params: {
> >       maxResults: 10
> >     },
> >     providerConfigKey: '<INTEGRATION-ID>',
> >     connectionId: '<CONNECTION-ID>'
> > });
> >
> > console.log(JSON.stringify(res.data, null, 2));
> > ```
>
> Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).
>
> ✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.
>
> > [!TIP]
> >
> > Next step: [Embed the auth flow](https://nango.dev/docs/guides/primitives/auth.md) in your app to let your users connect their Sellsy accounts.

> [tab] 🧑‍💻 OAuth app setup
>
> **1. Create Sellsy account**
>
> If you don't already have one, sign up for a [Sellsy account](https://www.sellsy.com/onboarding/quicktrial?lang=en).
>
> **2. Create an API access**
>
> 1. Navigate to your [Developer page](https://www.sellsy.com/developer/api-v2).
>
> 2. Click **Create API access** and select between:
>
> * **Private** - API access limited to staffs of your Sellsy account.
>
> * **Public** - API access to connect to all Sellsy accounts. A validation by Sellsy is also required.
>
> 3. Fill in all the required information. For **Redirect URL**, add `https://api.nango.dev/oauth/callback` and select the permissions you want to give to your API access.
> 4. Click **Save**.
>
> **3. Obtain your client credentials**
>
> 1. After creating the app, copy the **Client ID** and **Secret shopper** that Sellsy will generate. You'll need these when configuring your integration in Nango.
>
> **4. Next**
>
> Follow the [*Quickstart*](https://nango.dev/docs/getting-started/quickstart.md).
>
> > [!NOTE]
> >
> > For security reasons, **Public** access must be validated by Sellsy teams to justify its use. To do this, please send us an email to [contact@sellsy.com](mailto:contact@sellsy.com)
>
> ## Common Scopes
>
> | Scope | Description |
> | - | - |
> | `contacts.read` | Grants read access to contacts |
> | `contacts.write` | Grants write access to contacts |
> | `companies.read` | Grants read access to companies |
> | `orders.read` | Grants read access to orders |
> | `invoices.read` | Grants read access to invoices |
> | `tasks.read` | Grants read access to tasks |
> | `emails.read` | Grants read access to emails |
> | `files.read` | Grants read access to files |

> [tab] 🔗 Useful links
>
> | Topic | Links |
> | - | - |
> | General | [Sellsy Website](https://sellsy.com/) |
> | Developer | [Sellsy API Documentation](https://docs.sellsy.com/api/v2/) |
> | | [Generate your client Credentials](https://www.sellsy.com/developer/api-v2) |
> | | [API Authentication](https://docs.sellsy.com/api/v2/#section/Authentication) |
> | | [API Versioning](https://docs.sellsy.com/api/v2/#section/Versioning) |
> | | [Rate limiting](https://docs.sellsy.com/api/v2/#section/Quotas) |
> | | [List of OAuth scopes](https://docs.sellsy.com/api/v2/#section/Authentication) |
> | | [API Access Types](https://help.sellsy.com/fr/articles/5876615-types-d-acces-api) |
>
> > [!NOTE]
> >
> > Contribute useful links by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/sellsy.mdx)

> [tab] 🚨 API gotchas
>
> *None yet, add yours!*
>
> > [!NOTE]
> >
> > Contribute API gotchas by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/sellsy.mdx)

> [!NOTE]
>
> Questions? Join us in the [Slack community](https://nango.dev/slack).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.